org.eclipse.jetty.client.webdav

## Class PropfindExchange

- java.lang.Object
- - org.eclipse.jetty.client.HttpExchange
  - - org.eclipse.jetty.client.webdav.PropfindExchange

    public class PropfindExchange
    extends HttpExchange

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.client.HttpExchange

`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

### Field Summary

### Fields inherited from class org.eclipse.jetty.client.HttpExchange

`STATUS_CANCELLED, STATUS_CANCELLING, STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

### Constructor Summary

Constructors
Constructor and Description
`PropfindExchange()`

### Method Summary

Methods
`boolean` `exists()`
`protected void` `onResponseStatus(Buffer version, int status, Buffer reason)` Callback called when a response status line has been received from the server.

### Methods inherited from class org.eclipse.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, cancel, cancelTimeout, configureListeners, expire, getAddress, getEventListener, getLocalAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRequestURI, getRetryStatus, getScheme, getStatus, getTimeout, getURI, getVersion, isDone, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseContent, onResponseHeader, onResponseHeaderComplete, onRetry, onSwitchProtocol, reset, scheduleTimeout, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRequestURI, setRetryStatus, setScheme, setScheme, setTimeout, setURI, setURI, setURL, setVersion, setVersion, toState, toString, waitForDone, waitForStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropfindExchange

    public PropfindExchange()

### Method Detail

#### onResponseStatus

    protected void onResponseStatus(Buffer version,
                        int status,
                        Buffer reason)
                             throws IOException

Description copied from class: `HttpExchange`
Callback called when a response status line has been received from the server. This implementation does nothing.

Overrides:
  `onResponseStatus` in class `HttpExchange`
Parameters:
  `version` - the HTTP version
  `status` - the HTTP status code
  `reason` - the HTTP status reason string
Throws:
  `IOException` - allowed to be thrown by overriding code

#### exists

    public boolean exists()